Updates the descriptive fields of a metered asset balance; balance amounts are not touched.
const url = 'https://example.com/api/v1/provision/admin/asset-balances/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","name":"example","description":"example","unit":"example","numberFormat":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/v1/provision/admin/asset-balances/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Content-Type: application/json' \ --data '{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "unit": "example", "numberFormat": "example" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Balance id.
Request Body required
Section titled “Request Body required ”Patch payload with the descriptive fields.
object
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "unit": "example", "numberFormat": "example"}object
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "unit": "example", "numberFormat": "example"}object
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "unit": "example", "numberFormat": "example"}Responses
Section titled “ Responses ”OK
object
Consumed credits since last deposit. Remaining credits are calculated as TotalCredits - CreditsUsed.
Total available credits.
The total of all credits used over time.
object
The credits available when the entitlement is created.
Indicates if the resource has unlimited credits.
Cron schedule for automatic credit balance. The cron syntax consists of five fields separated by spaces:
- Minute (0-59)
- Hour (0-23)
- Day of the Month (1-31)
- Month (1-12 or Jan-Dec)
- Day of the Week (0-6 or Sun-Sat) Special characters:
-
- (asterisk): Represents any value for the field.
- , (comma): Separates multiple values.
-
- (hyphen): Specifies a range of values.
- / (slash): Specifies increments. Example: “0 0 * * *” means “at midnight every day.”
Date and time of the last automatic credit balance.
Indicates if the current credits should be transferred.
Maximum amount of credits that can be transferred automatically.
Amount of credits to balance automatically.
object
Consumed credits since last deposit. Remaining credits are calculated as TotalCredits - CreditsUsed.
Total available credits.
The total of all credits used over time.
object
The credits available when the entitlement is created.
Indicates if the resource has unlimited credits.
Cron schedule for automatic credit balance. The cron syntax consists of five fields separated by spaces:
- Minute (0-59)
- Hour (0-23)
- Day of the Month (1-31)
- Month (1-12 or Jan-Dec)
- Day of the Week (0-6 or Sun-Sat) Special characters:
-
- (asterisk): Represents any value for the field.
- , (comma): Separates multiple values.
-
- (hyphen): Specifies a range of values.
- / (slash): Specifies increments. Example: “0 0 * * *” means “at midnight every day.”
Date and time of the last automatic credit balance.
Indicates if the current credits should be transferred.
Maximum amount of credits that can be transferred automatically.
Amount of credits to balance automatically.
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "creditsUsed": 1, "totalCredits": 1, "cumulativeCreditsUsed": 1, "unit": "example", "numberFormat": "example", "lastDeposit": "2026-04-15T12:00:00Z", "usageQuota": [ { "endUsage": 1, "name": "example", "quotaUsageLevel": 1 } ], "suspendedUntilAt": "2026-04-15T12:00:00Z", "overageSeverityStatus": 1, "initialCreditAmount": 1, "isUnlimitedCredits": true, "autoBalanceCronSchedule": "example", "lastAutoBalanceDate": "2026-04-15T12:00:00Z", "shouldAutoBalanceTransferCurrentCredits": true, "maxAutoBalanceCreditTransferAmount": 1, "autoBalanceCreditAmount": 1}object
Consumed credits since last deposit. Remaining credits are calculated as TotalCredits - CreditsUsed.
Total available credits.
The total of all credits used over time.
object
The credits available when the entitlement is created.
Indicates if the resource has unlimited credits.
Cron schedule for automatic credit balance. The cron syntax consists of five fields separated by spaces:
- Minute (0-59)
- Hour (0-23)
- Day of the Month (1-31)
- Month (1-12 or Jan-Dec)
- Day of the Week (0-6 or Sun-Sat) Special characters:
-
- (asterisk): Represents any value for the field.
- , (comma): Separates multiple values.
-
- (hyphen): Specifies a range of values.
- / (slash): Specifies increments. Example: “0 0 * * *” means “at midnight every day.”
Date and time of the last automatic credit balance.
Indicates if the current credits should be transferred.
Maximum amount of credits that can be transferred automatically.
Amount of credits to balance automatically.
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "creditsUsed": 1, "totalCredits": 1, "cumulativeCreditsUsed": 1, "unit": "example", "numberFormat": "example", "lastDeposit": "2026-04-15T12:00:00Z", "usageQuota": [ { "endUsage": 1, "name": "example", "quotaUsageLevel": 1 } ], "suspendedUntilAt": "2026-04-15T12:00:00Z", "overageSeverityStatus": 1, "initialCreditAmount": 1, "isUnlimitedCredits": true, "autoBalanceCronSchedule": "example", "lastAutoBalanceDate": "2026-04-15T12:00:00Z", "shouldAutoBalanceTransferCurrentCredits": true, "maxAutoBalanceCreditTransferAmount": 1, "autoBalanceCreditAmount": 1}Bad Request
object
object
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
object
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}